---
title: "Google Search API: Search Light | Perceptlayer"
description: "Search Light from Google Search as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/google-search/search-light
---

[APIs](https://perceptlayer.com/apis) / [Google Search](https://perceptlayer.com/apis/google-search) / Search Light

# Google Search: Search Light

Search Light from Google Search as JSON. 1 credit per successful call.

GET `/v1/google-search/search-light`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 2,048 characters |
| `num` | integer | Optional | Any |
| `start` | integer | Optional | Any |
| `page` | integer | Optional | Any |
| `hl` | string | Optional | Up to 2 characters |
| `lr` | string | Optional | Any |
| `gl` | string | Optional | Up to 2 characters |
| `cr` | string | Optional | Any |
| `safe` | string | Optional | active, off |
| `dateRestrict` | string | Optional | Any |
| `sort` | string | Optional | date, date:r, date:d |
| `filter` | integer | Optional | 0, 1 |
| `rights` | string | Optional | cc\_publicdomain, cc\_attribute, cc\_sharealike, cc\_noncommercial, cc\_nonderived |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/google-search/search-light?query=artificial+intelligence&num=10" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/google-search?try=search-light#playground) with your own parameters. 1 credit per successful call; failed calls are free.
